# ApplicationFramework
TKCDF
LDOM

# LDOM_MemManager Class Reference

`#include <LDOM_MemManager.hxx>`

## Public Member Functions

Standard_EXPORT | LDOM_MemManager (const Standard_Integer aBlockSize)
Standard_EXPORT | ~LDOM_MemManager ()
Standard_EXPORT void * | Allocate (const Standard_Integer aSize)
const char * | HashedAllocate (const char *aString, const Standard_Integer theLen, Standard_Integer &theHash)
void | HashedAllocate (const char *aString, const Standard_Integer theLen, LDOMBasicString &theResult)
LDOM_Document | Doc () const
const LDOM_MemManager & | Self () const
const LDOM_BasicElement * | RootElement () const

## Static Public Member Functions

static Standard_Integer | Hash (const char *theString, const Standard_Integer theLen)
static Standard_Boolean | CompareStrings (const char *theString, const Standard_Integer theHashValue, const char *theHashedStr)

## Private Member Functions

| LDOM_MemManager (const LDOM_MemManager &theOther)
LDOM_MemManager & | operator= (const LDOM_MemManager &theOther)

## Private Attributes

const LDOM_BasicElement * | myRootElement
MemBlock * | myFirstBlock
MemBlock * | myFirstWithoutRoom
Standard_Integer | myBlockSize
HashTable * | myHashTable

## Data Structures

class | HashTable
class | MemBlock

## Constructor & Destructor Documentation

Standard_EXPORT LDOM_MemManager::LDOM_MemManager | ( | const Standard_Integer | aBlockSize | ) |

Standard_EXPORT LDOM_MemManager::~LDOM_MemManager | ( |  | ) |

LDOM_MemManager::LDOM_MemManager | ( | const LDOM_MemManager & | theOther | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void* LDOM_MemManager::Allocate | ( | const Standard_Integer | aSize | ) |

static Standard_Boolean LDOM_MemManager::CompareStrings | ( | const char * | theString,
|  | const Standard_Integer | theHashValue,
|  | const char * | theHashedStr
| ) | `[static]`

LDOM_Document LDOM_MemManager::Doc | ( |  | ) | const`[inline]`

static Standard_Integer LDOM_MemManager::Hash | ( | const char * | theString,
|  | const Standard_Integer | theLen
| ) | `[inline, static]`

void LDOM_MemManager::HashedAllocate | ( | const char * | aString,
|  | const Standard_Integer | theLen,
|  | LDOMBasicString & | theResult
| ) |

const char* LDOM_MemManager::HashedAllocate | ( | const char * | aString,
|  | const Standard_Integer | theLen,
|  | Standard_Integer & | theHash
| ) |

LDOM_MemManager& LDOM_MemManager::operator= | ( | const LDOM_MemManager & | theOther | ) | `[private]`

const LDOM_BasicElement* LDOM_MemManager::RootElement | ( |  | ) | const`[inline]`

const LDOM_MemManager& LDOM_MemManager::Self | ( |  | ) | const`[inline]`

## Field Documentation

Standard_Integer LDOM_MemManager::myBlockSize `[private]`

MemBlock* LDOM_MemManager::myFirstBlock `[private]`

MemBlock* LDOM_MemManager::myFirstWithoutRoom `[private]`

HashTable* LDOM_MemManager::myHashTable `[private]`

const LDOM_BasicElement* LDOM_MemManager::myRootElement `[private]`

The documentation for this class was generated from the following file:

- LDOM_MemManager.hxx